//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop                   

#include "MainForm.h"
#include "sysutilsx.h"
//---------------------------------------------------------------------------
#pragma link "SHDOCVW"
#pragma link "Project"
#pragma link "RXSplit"
#pragma link "Placemnt"
#pragma link "AppEvent"
#pragma resource "*.dfm"
TEqnPreviewMainForm *EqnPreviewMainForm;

AnsiString texfile;
//---------------------------------------------------------------------------
__fastcall TEqnPreviewMainForm::TEqnPreviewMainForm(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TEqnPreviewMainForm::FormResize(TObject *Sender)
{
	WebBrowser1->Height = Panel1->Height;
    WebBrowser1->Width  = Panel1->Width;
}
//---------------------------------------------------------------------------
void __fastcall TEqnPreviewMainForm::FormCreate(TObject *Sender)
{
	texfile = ReplaceFileExt(Application->ExeName,".tex");
    FormStorage1->IniFileName = ReplaceFileExt(Application->ExeName,".ini");
    AppEvents1Restore(Sender);
}
//---------------------------------------------------------------------------
void __fastcall TEqnPreviewMainForm::WebBrowser1CommandStateChange(TObject *Sender,
	int Command, WordBool Enable)
{
	try {
		SetForegroundWindow(Application->Handle);
	} catch (...) {}
}
//---------------------------------------------------------------------------
void __fastcall TEqnPreviewMainForm::Now1Click(TObject *Sender)
{
	Timer1->Enabled = false;
	try {
		Memo1->Lines->SaveToFile(texfile);
		WebBrowser1->Navigate(texfile,0,0,0,0);
	} catch (...) {}
}
//---------------------------------------------------------------------------
void __fastcall TEqnPreviewMainForm::About1Click(TObject *Sender)
{
	AnsiString msg = Application->Title + " version " + Project1->Version
                     + " (Build " + Project1->Build + ")\n";
    msg += Project1->Copyright + "\n";
    msg += Project1->Comment + "\n";
    msg += "\n";
    msg += Project1->Trademarks;
    Application->MessageBox(msg.c_str(),Application->Title.c_str(), MB_OK);
}
//---------------------------------------------------------------------------
void __fastcall TEqnPreviewMainForm::Exit1Click(TObject *Sender)
{
	Close();
}
//---------------------------------------------------------------------------
void __fastcall TEqnPreviewMainForm::Immediately1Click(TObject *Sender)
{
	Timer1->Interval = 1;
    Immediately1->Checked = true;
}
//---------------------------------------------------------------------------
void __fastcall TEqnPreviewMainForm::Every1Second1Click(TObject *Sender)
{
	Timer1->Interval = 1000;
    Every1Second1->Checked = true;
}
//---------------------------------------------------------------------------
void __fastcall TEqnPreviewMainForm::Every2Seconds1Click(TObject *Sender)
{
	Timer1->Interval = 2000;
    Every2Seconds1->Checked = true;
}
//---------------------------------------------------------------------------
void __fastcall TEqnPreviewMainForm::Every5Seconds1Click(TObject *Sender)
{
	Timer1->Interval = 5000;
    Every5Seconds1->Checked = true;
}
//---------------------------------------------------------------------------
void __fastcall TEqnPreviewMainForm::Every10Seconds1Click(TObject *Sender)
{
	Timer1->Interval = 10000;
    Every10Seconds1->Checked = true;
}
//---------------------------------------------------------------------------
void __fastcall TEqnPreviewMainForm::ManuallyOnly1Click(TObject *Sender)
{
	ManuallyOnly1->Checked = true;
}
//---------------------------------------------------------------------------
void __fastcall TEqnPreviewMainForm::Timer1Timer(TObject *Sender)
{
	if (!ManuallyOnly1->Checked)	Now1Click(Sender);
}
//---------------------------------------------------------------------------
void __fastcall TEqnPreviewMainForm::RxSplitter1PosChanged(TObject *Sender)
{
	WebBrowser1->Height = Panel1->Height;
	WebBrowser1->Width  = Panel1->Width;
}
//---------------------------------------------------------------------------
void __fastcall TEqnPreviewMainForm::FormClose(TObject *Sender, TCloseAction &Action)
{
	AppEvents1Minimize(Sender);
}
//---------------------------------------------------------------------------
void __fastcall TEqnPreviewMainForm::Memo1Change(TObject *Sender)
{
	// toggle Timer1 to reset it
	Timer1->Enabled = false;
	Timer1->Enabled = true;
}
//---------------------------------------------------------------------------
void __fastcall TEqnPreviewMainForm::AppEvents1Minimize(TObject *Sender)
{
	Memo1->SelectAll();
	Memo1->CopyToClipboard();
}
//---------------------------------------------------------------------------
void __fastcall TEqnPreviewMainForm::AppEvents1Restore(TObject *Sender)
{
	Memo1->PasteFromClipboard();
	Now1Click(Sender);
}
//---------------------------------------------------------------------------
void __fastcall TEqnPreviewMainForm::Minimize1Click(TObject *Sender)
{
	Application->Minimize();
}
//---------------------------------------------------------------------------
void __fastcall TEqnPreviewMainForm::EveryHalfSecond1Click(TObject *Sender)
{
	Timer1->Interval = 500;
	EveryHalfSecond1->Checked = true;
}
//---------------------------------------------------------------------------
